terraform {
  required_providers {
    zitadel = {
      source  = "zitadel/zitadel"
      version = "2.0.2"
    }
  }
}

resource "zitadel_org_member" "default" {
  depends_on = [var.wait_on]
  org_id  = var.org_id
  user_id = var.user_id
  roles = ["ORG_OWNER"]
}

output "installed" {
  value = true
  depends_on = [zitadel_org_member.default]
}
